MrmFetchLiteral(3Xm)

NAME
MrmFetchLiteral - Fetches a literal from a uid file.

SYNOPSIS
#include <Xm/Intrinsics>
#include <Mrm/MrmPublic.h>
int MrmFetchLiteral(hierarchy_id, index, display, value, type)
MrmHierarchy hierarchy_id;
String index;
Display *display;
caddr_t *value;
MrmCode *type;

DESCRIPTION
The MrmFetchLiteral function reads and returns the value and type of a literal (named value) that is stored as a public resource in a single uid file. This function returns a pointer to the value of the literal. For example, an integer is always returned as a pointer to an integer, and a string is always returned as a pointer to a string.

Applications should not use MrmmFetchLiteral for fetching icon or color literals. If this is attempted, MrmmFetchLiteral returns an error.

hierarchy_id
    Specifies the ID of the uid hierarchy that contains the specified literal. The hierarchy_id was returned in a previous call to MrmmOpenHierarchy.

index
    Specifies the uil name of the literal (pixmap) to fetch. You must define this name in uil as an exported value.

display
    Specifies the display used for the pixmap. The display argument specifies the connection to the X server. For more information on the Display structure see the Xlib function XOpenDisplay.

value
    Returns the ID of the named literal's value.

type
    Returns the named literal's data type.

RETURN VALUE
This function returns one of these status return constants:

MrmSUCCESS
    The function executed successfully.

MrmWRONG_TYPE
    The operation encountered an unsupported literal type.

MrmNOT_FOUND
    The literal was not found in the uid file.

MrmFAILURE
    The function failed.

RELATED INFORMATION
MrmFetchIconLiteral(3Xm), MrmFetchColorLiteral(3Xm), XOpenDisplay(3Xm)